{% extends 'layout/auth.html.twig' %}

{% block title %}Inscription
{% endblock %}

{% block container %}
	<h1>Inscription</h1>

	{{ form_start(registrationForm) }}
	{{ form_row(registrationForm.nom, {
            attr: {
                'placeholder': 'Nom'
                }
        }) }}
	{{ form_row(registrationForm.prenom, {
            attr: {
                'placeholder': 'Prénom'
                }
        }) }}
	<div class="date_naissance">
		<span>Date de naissance :
		</span>
		{{ form_row(registrationForm.date_naissance, {
                attr: {
                    'placeholder': 'Date de naissance'
                    }
            }) }}
	</div>
	{{ form_row(registrationForm.pseudo, {
            attr: {
                'placeholder': 'Nom d\'utilisateur'
                }
        }) }}
        <div class="localisation">
            <p>Cliquez sur le bouton ci-dessous pour rentrer votre adresse</p>
            {{ form_row(registrationForm.locUser.vars.prototype) }}
            <div class="d-flex autoCompleteLocalisation">
            {{ form_row(registrationForm.autoCompleteLocalisation, {
            }) }}
            <button type="button" class="auth_geo">
						  <i class="fas fa-map-marker-alt"></i>
					  </button>
            </div>
        </div>
        {{ form_row(registrationForm.email, {
            attr: {
                'placeholder': 'Adresse e-mail'
                }
        }) }}
        {{ form_row(registrationForm.plainPassword, {
            attr: {
                'placeholder': 'Mot de passe'
                }
        }) }}
        {{ form_row(registrationForm.agreeTerms, {
            label: 'J\'ai compris les termes d\'utilisation de CyClic'
        }) }}
        <div class="button">
            <button type="submit" class="auth_btn">S'inscrire</button>
        </div>
    {{ form_end(registrationForm) }}

	<p class="has_account">Vous avez déjà un compte?
		<a href="/login">Se connecter</a>
	</p>
{% endblock %}
